summaryrefslogtreecommitdiffstats
path: root/patches/source/mozilla-firefox/mozilla-firefox.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'patches/source/mozilla-firefox/mozilla-firefox.SlackBuild')
-rwxr-xr-xpatches/source/mozilla-firefox/mozilla-firefox.SlackBuild47
1 files changed, 17 insertions, 30 deletions
diff --git a/patches/source/mozilla-firefox/mozilla-firefox.SlackBuild b/patches/source/mozilla-firefox/mozilla-firefox.SlackBuild
index 5cad8cc89..cbf1fb9e4 100755
--- a/patches/source/mozilla-firefox/mozilla-firefox.SlackBuild
+++ b/patches/source/mozilla-firefox/mozilla-firefox.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2018, 2019, 2020, 2021 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2018, 2019, 2020, 2021, 2022, 2023 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -189,7 +189,8 @@ rm -rf firefox-$RELEASEVER
rm -rf firefox-unpack
mkdir firefox-unpack
cd firefox-unpack
-tar xvf $CWD/firefox-$VERSION.source.tar.?z || exit 1
+echo "Extracting $CWD/firefox-$VERSION.source.tar.?z..."
+tar xf $CWD/firefox-$VERSION.source.tar.?z || exit 1
mv * ..
cd ..
rm -rf firefox-unpack
@@ -234,7 +235,6 @@ OPTIONS="\
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--with-system-zlib \
- --with-system-nspr \
--with-unsigned-addon-scopes=app,system \
--without-wasm-sandboxed-libraries \
--allow-addon-sideload \
@@ -345,38 +345,25 @@ rm -rf $PKG/usr/lib${LIBDIRSUFFIX}/firefox-devel-$RELEASEVER
# Nor these:
rm -rf $PKG/usr/include
-( cd $PKG/usr/lib${LIBDIRSUFFIX}/firefox-$RELEASEVER
- #mv defaults/profile/mimeTypes.rdf defaults/profile/mimeTypes.rdf.orig || exit 1
- if [ -d defaults/profile ]; then
- zcat $CWD/mimeTypes.rdf > defaults/profile/mimeTypes.rdf || exit 1
- fi
- # OK, this patch is useless on 7.x. We'll float without it and see what happens.
- # Perhaps it won't make a difference or should be worked around elsewhere.
- #zcat $CWD/firefox.moz_plugin_path.diff.gz \
- # | sed -e "s#usr/lib#usr/lib${LIBDIRSUFFIX}#g" \
- # | patch -p1 --verbose --backup --suffix=.orig || exit 1
- # Clean up if the above patch was successful:
- #rm -f firefox.orig
-) || exit
+# 2022-12, COMMENTING OUT AS OBSOLETE
+#( cd $PKG/usr/lib${LIBDIRSUFFIX}/firefox
+# #mv defaults/profile/mimeTypes.rdf defaults/profile/mimeTypes.rdf.orig || exit 1
+# if [ -d defaults/profile ]; then
+# zcat $CWD/mimeTypes.rdf > defaults/profile/mimeTypes.rdf || exit 1
+# fi
+# # OK, this patch is useless on 7.x. We'll float without it and see what happens.
+# # Perhaps it won't make a difference or should be worked around elsewhere.
+# #zcat $CWD/firefox.moz_plugin_path.diff.gz \
+# # | sed -e "s#usr/lib#usr/lib${LIBDIRSUFFIX}#g" \
+# # | patch -p1 --verbose --backup --suffix=.orig || exit 1
+# # Clean up if the above patch was successful:
+# #rm -f firefox.orig
+#) || exit
mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/mozilla/plugins
mkdir -p $PKG/usr/share/applications
cat $CWD/mozilla-firefox.desktop > $PKG/usr/share/applications/mozilla-firefox.desktop
-# These files/directories are usually created if Firefox is run as root,
-# which on many systems might (and possibly should) be never. Therefore, if we
-# don't see them we'll put stubs in place to prevent startup errors.
-( cd $PKG/usr/lib${LIBDIRSUFFIX}/firefox-$RELEASEVER
- if [ -d extensions/talkback\@mozilla.org ]; then
- if [ ! -r extensions/talkback\@mozilla.org/chrome.manifest ]; then
- echo > extensions/talkback\@mozilla.org/chrome.manifest
- fi
- fi
- if [ ! -d updates ]; then
- mkdir -p updates/0
- fi
-)
-
# Need some default icons in the right place:
for i in 16 22 24 32 48 256; do
install -m 0644 -D browser/branding/official/default${i}.png \